# Viewing horizontal temperature distribution

>  NOTE: This guide can also be applied to the visualization of any scalar field on horizontal planes.

![](img/4-1-horizontal-scalar-field.png)

##### 1. Open data file.

Open your data file(s), using buttons on the _Home_ menu category of _Menu Bar_.

##### 2. Load the temperature variable and show it on a layer.

In order to visualize the distribution of the variable on a layer, you can either

* click the _Add Horizontal Plane_ menu button on _Layer_ menu category, select variable/area/level, and then click "OK", or 
* right-click the temperature variable on the _Variables Pane_, select _Add Horizontal Plane'.
* double-click the temperature variable on the _Variables Pane_, and click 'OK' to add layer. 

_Rendering Pane_ will immediately display the distribution, and a new layer will be added to the _Layers Pane_.

##### 3. Explore temperature distributions at different altitudes (if any).

On _Horizontal Plane_ menu category of _Menu Bar_, you will find _Vertical Level_ drop-down control, where you can select height level among all the levels available in your dataset. You can also click _Move Up / Move Down_ button in order to increase / decrease the selected level.

##### 4. Change the settings for color mapping (if necessary).

Double click the vertical _Color Bar_ on the right-hand side of _Rendering Pane_. A popup dialog named _'Setup Colormap and Limit Range'_ will show up, where you can change various options regarding the color mapping.

##### 5. Change the visualization style - contour vs. raster (if necessary).

On _Horizontal Plane_ menu category of _Menu Bar_, you can select one of the following visualization styles:

* Contour : show distribution with discrete iso-level contour lines (optionally with filled colors)
* Raster : show distribution with smoothly filled colors
* Dot : show distribution with colored dots for grid points

Each menu button has drop-down submenu, where you can set various options for each visualization style. For example, you can display character labels (including "H"/"L" for geopotential height) at the peak locations of the distribution.

<br><br>

| [Previous Page](3-6-action-history) | [Home (Table of Contents)](home) | [Next Page](4-2-vertical-scalar-field) |
| :------- | :----------------------: | ---: |
